## net.dontdrinkandroot.wicket.model.date
Class DateAvailableDaysModel

    java.lang.Object
      net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel<java.util.List<java.lang.Integer>>
          net.dontdrinkandroot.wicket.model.date.DateAvailableDaysModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<java.util.List<java.lang.Integer>>, org.apache.wicket.util.io.IClusterable

    public class DateAvailableDaysModel

extends AbstractDateCalendarModel<java.util.List<java.lang.Integer>>

See Also:
  Serialized Form

Constructor Summary
`DateAvailableDaysModel(org.apache.wicket.model.IModel<java.util.Date> parent)`

Method Summary
`void` `detach()`
`protected java.util.List<java.lang.Integer>` `getFromCalendar(java.util.Calendar calendar)`
`protected void` `setToCalendar(java.util.List<java.lang.Integer> object, java.util.Calendar calendar)`

Methods inherited from class net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel
`getObject, setObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateAvailableDaysModel

    public DateAvailableDaysModel(org.apache.wicket.model.IModel<java.util.Date> parent)

Method Detail

### setToCalendar

    protected void setToCalendar(java.util.List<java.lang.Integer> object,
                                 java.util.Calendar calendar)

  Specified by:
    `setToCalendar` in class `AbstractDateCalendarModel<java.util.List<java.lang.Integer>>`

### getFromCalendar

    protected java.util.List<java.lang.Integer> getFromCalendar(java.util.Calendar calendar)

  Specified by:
    `getFromCalendar` in class `AbstractDateCalendarModel<java.util.List<java.lang.Integer>>`

### detach

    public void detach()

  Specified by:
    `detach` in interface `org.apache.wicket.model.IDetachable`
  Overrides:
    `detach` in class `AbstractDateCalendarModel<java.util.List<java.lang.Integer>>`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.